# Package org.grails.build.parsing

- Interface Summary
  Interface | Description
  --- | ---
  CommandLine | Represents the parsed command line options.

- Class Summary
  Class | Description
  --- | ---
  CommandLineParser | Command line parser that parses arguments to the command line.
  DefaultCommandLine | Implementation of the CommandLine interface.
  DefaultCommandLine.SpecifiedOption |
  Option | Represents a command line option.
  ScriptNameResolver | Authors: Andres Almiray

- Exception Summary
  Exception | Description
  --- | ---
  ParseException | Exception that is thrown in command line parsing fails.